#
#    Copyright 2022 Embedded Systems Unit, Fondazione Bruno Kessler
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#        http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
'''
    main module, a demo for pyvmt, can be used to parse and write a VMT-LIB script
'''

from sys import stdin, stdout
from pyvmt.vmtlib.reader import read

def main():
    '''
        The main function, runs the script parser and writes to stdout
    '''
    script = read(stdin)
    script.serialize(stdout, properties=script.get_all_properties())

if __name__ == '__main__':
    main()
